summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
author <dafydd.harries@collabora.co.uk>2006-06-01 15:32:12 +0000
committer <dafydd.harries@collabora.co.uk>2006-06-01 15:32:12 +0000
commitc1d6e01dc692bed0726e49ba8b827c0e5f89ecb9 (patch)
tree9b2be3849793f0b30fdb9bcc4e6474438ea47e8e /test
parent273a0593f613426ad7579821f1f06eeb26270101 (diff)
remove all non-spec-related files
Diffstat (limited to 'test')
-rw-r--r--test/.git-darcs-dir0
-rw-r--r--test/run-with-tmp-session-bus.sh68
-rw-r--r--test/services.in/.git-darcs-dir0
-rw-r--r--test/services.in/org.freedesktop.Telepathy.ConnectionManager.cheddar3
-rw-r--r--test/session.conf32
5 files changed, 0 insertions, 103 deletions
diff --git a/test/.git-darcs-dir b/test/.git-darcs-dir
deleted file mode 100644
index e69de29b..00000000
--- a/test/.git-darcs-dir
+++ /dev/null
diff --git a/test/run-with-tmp-session-bus.sh b/test/run-with-tmp-session-bus.sh
deleted file mode 100644
index 8a87a604..00000000
--- a/test/run-with-tmp-session-bus.sh
+++ /dev/null
@@ -1,68 +0,0 @@
-#! /bin/bash
-
-SCRIPTNAME=$0
-WRAPPED_SCRIPT=$1
-shift
-
-function die()
-{
- if ! test -z "$DBUS_SESSION_BUS_PID" ; then
- echo "killing message bus "$DBUS_SESSION_BUS_PID >&2
- kill -9 $DBUS_SESSION_BUS_PID
- fi
- echo $SCRIPTNAME: $* >&2
- exit 1
-}
-
-
-## convenient to be able to ctrl+C without leaking the message bus process
-trap 'die "Received SIGINT"' SIGINT
-
-CONFIG_FILE=./run-with-tmp-session-bus.conf
-SERVICE_DIR="$PWD/services"
-EXEC_DIR=`echo $PWD | sed -e 's/\//\\\\\\//g'`
-ESCAPED_SERVICE_DIR=`echo $SERVICE_DIR | sed -e 's/\//\\\\\\//g'`
-echo "escaped service dir is: $ESCAPED_SERVICE_DIR" >&2
-
-## create a configuration file based on the standard session.conf
-cat session.conf | \
- sed -e 's/<servicedir>.*$/<servicedir>'$ESCAPED_SERVICE_DIR'<\/servicedir>/g' | \
- sed -e 's/<include.*$//g' \
- > $CONFIG_FILE
-
-rm -rf services
-mkdir -p services
-for i in services.in/*; do
- echo mangling $i
- cat $i | sed -e "s/@EXEC_DIR@/$EXEC_DIR/g" > ${i/services.in\//services\//}
-done
-
-echo "Created configuration file $CONFIG_FILE" >&2
-
-export PATH=$PWD:$PATH
-
-unset DBUS_SESSION_BUS_ADDRESS
-unset DBUS_SESSION_BUS_PID
-
-echo "Running dbus-launch --sh-syntax --config-file=$CONFIG_FILE" >&2
-
-eval `dbus-launch --sh-syntax --config-file=$CONFIG_FILE`
-
-if test -z "$DBUS_SESSION_BUS_PID" ; then
- die "Failed to launch message bus for introspection generation to run"
-fi
-
-echo "Started bus pid $DBUS_SESSION_BUS_PID at $DBUS_SESSION_BUS_ADDRESS" >&2
-
-# Execute wrapped script
-echo "Running $WRAPPED_SCRIPT $@" >&2
-$WRAPPED_SCRIPT "$@" || die "script \"$WRAPPED_SCRIPT\" failed"
-
-kill -TERM $DBUS_SESSION_BUS_PID || die "Message bus vanished! should not have happened" && echo "Killed daemon $DBUS_SESSION_BUS_PID" >&2
-
-sleep 2
-
-## be sure it really died
-kill -9 $DBUS_SESSION_BUS_PID > /dev/null 2>&1 || true
-
-exit 0
diff --git a/test/services.in/.git-darcs-dir b/test/services.in/.git-darcs-dir
deleted file mode 100644
index e69de29b..00000000
--- a/test/services.in/.git-darcs-dir
+++ /dev/null
diff --git a/test/services.in/org.freedesktop.Telepathy.ConnectionManager.cheddar b/test/services.in/org.freedesktop.Telepathy.ConnectionManager.cheddar
deleted file mode 100644
index 86327bd3..00000000
--- a/test/services.in/org.freedesktop.Telepathy.ConnectionManager.cheddar
+++ /dev/null
@@ -1,3 +0,0 @@
-[D-BUS Service]
-Name=org.freedesktop.Telepathy.ConnectionManager.cheddar
-Exec=@EXEC_DIR@/cheddar.py
diff --git a/test/session.conf b/test/session.conf
deleted file mode 100644
index 4c0313b5..00000000
--- a/test/session.conf
+++ /dev/null
@@ -1,32 +0,0 @@
-<!-- This configuration file controls the per-user-login-session message bus.
- Add a session-local.conf and edit that rather than changing this
- file directly. -->
-
-<!DOCTYPE busconfig PUBLIC "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
- "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
-<busconfig>
- <!-- Our well-known bus type, don't change this -->
- <type>session</type>
-
- <listen>unix:tmpdir=/tmp</listen>
-
- <servicedir>@EXPANDED_DATADIR@/dbus-1/services</servicedir>
-
- <policy context="default">
- <!-- Allow everything to be sent -->
- <allow send_destination="*"/>
- <!-- Allow everything to be received -->
- <allow eavesdrop="true"/>
- <!-- Allow anyone to own anything -->
- <allow own="*"/>
- <!-- Allow any user to connect -->
- <allow user="*"/>
- </policy>
-
- <!-- This is included last so local configuration can override what's
- in this standard file -->
- <include ignore_missing="yes">session-local.conf</include>
-
- <include if_selinux_enabled="yes" selinux_root_relative="yes">contexts/dbus_contexts</include>
-
-</busconfig>